import { ethers } from "ethers";
import { ResultAsync } from "neverthrow";
import { ContractOverrides } from "../interfaces/objects/index.js";
import { GasPriceError } from "@snickerdoodlelabs/objects";
export declare class GasUtils {
    static getGasFee<E = GasPriceError>(providerOrSigner: ethers.providers.Provider | ethers.providers.JsonRpcSigner | ethers.Wallet): ResultAsync<ContractOverrides, E>;
    static getGasPrice<E = GasPriceError>(providerOrSigner: ethers.providers.Provider | ethers.providers.JsonRpcSigner | ethers.Wallet): ResultAsync<ContractOverrides, E>;
}
//# sourceMappingURL=GasUtils.d.ts.map