"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GasUtils = void 0;
const neverthrow_1 = require("neverthrow");
const index_js_1 = require("../interfaces/objects/index.js");
const inversify_1 = require("inversify");
let GasUtils = class GasUtils {
    static getGasFee(providerOrSigner) {
        return neverthrow_1.ResultAsync.fromPromise(providerOrSigner.getFeeData(), (e) => {
            return e;
        }).map((feeData) => {
            return new index_js_1.ContractOverrides(feeData.maxFeePerGas);
        });
    }
    static getGasPrice(providerOrSigner) {
        return neverthrow_1.ResultAsync.fromPromise(providerOrSigner.getFeeData(), (e) => {
            return e;
        }).map((feeData) => {
            return new index_js_1.ContractOverrides(null, feeData.gasPrice);
        });
    }
};
GasUtils = __decorate([
    (0, inversify_1.injectable)()
], GasUtils);
exports.GasUtils = GasUtils;
//# sourceMappingURL=GasUtils.js.map