import { ethers } from "ethers";
import { WrappedTransactionResponse } from "../interfaces/objects/index.js";
import { EVMAccountAddress, EVMContractAddress } from "@snickerdoodlelabs/objects";
export declare class WrappedTransactionResponseBuilder {
    static buildWrappedTransactionResponse(transactionResponse: ethers.providers.TransactionResponse, contractAddress: EVMContractAddress, signerAddress: EVMAccountAddress, functionName: string, functionParams: any[], contractAbi: any): WrappedTransactionResponse;
    static extractFunctionAbi(functionName: string, contractAbi: any): string;
}
//# sourceMappingURL=WrappedTransactionResponseBuilder.d.ts.map