"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WrappedTransactionResponse = void 0;
class WrappedTransactionResponse {
    constructor(txResponse, contractAddress, signerAddress, functionName, functionParams, abi) {
        this.txResponse = txResponse;
        this.contractAddress = contractAddress;
        this.signerAddress = signerAddress;
        this.functionName = functionName;
        this.functionParams = functionParams;
        this.abi = abi;
    }
    wait() {
        return this.txResponse.wait();
    }
}
exports.WrappedTransactionResponse = WrappedTransactionResponse;
//# sourceMappingURL=WrappedTransactionResponse.js.map